libapache2-mod-perl2-2.0.13::docs::api::APR(3pm)

NAME
APR - Perl Interface for Apache Portable Runtime (libapr and libaprutil Libraries)

Synopsis
  use APR ();

Description
On load this modules prepares the APR environment (initializes memory pools, data structures, etc.)

You don't need to use this module explicitly, since it's already loaded internally by all "APR::*" modules.

Using APR modules outside mod_perl 2.0
You'd use the "APR::*" modules outside mod_perl 2.0, just like you'd use it with mod_perl 2.0. For example to get a random unique string you could call:

  % perl -MAPR::UUID -le 'print APR::UUID->new->format'

See Also
mod_perl 2.0 documentation.

Copyright
mod_perl 2.0 and its core modules are copyrighted under The Apache Software License, Version 2.0.

Authors
The mod_perl development team and numerous contributors.